Public Member Functions | Public Attributes | Friends | List of all members
StarObjectModelInternal::Layer Class Reference

Internal: class used to store a layer and its data. More...

## Public Member Functions
| Layer ()
| constructor

## Public Attributes
librevenge::RVNGString | m_name
| the layer name
int | m_id
| the layer id
int | m_type
| the layer type

## Friends
std::ostream & | operator<< (std::ostream &o, Layer const &layer)
| operator<<

## Detailed Description

Internal: class used to store a layer and its data.

## Constructor & Destructor Documentation

## ◆ Layer()

StarObjectModelInternal::Layer::Layer | ( |  | ) |
| inline

constructor

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Layer const & | layer )
| friend

operator<<

## Member Data Documentation

## ◆ m_id

int StarObjectModelInternal::Layer::m_id

the layer id

Referenced by StarObjectModel::read(), and StarObjectModel::readSdrLayer().

## ◆ m_name

librevenge::RVNGString StarObjectModelInternal::Layer::m_name

the layer name

Referenced by StarObjectModel::readSdrLayer().

## ◆ m_type

int StarObjectModelInternal::Layer::m_type

the layer type

Referenced by StarObjectModel::readSdrLayer().

The documentation for this class was generated from the following file:

- StarObjectModel.cxx